# Adaptación I/O entre Hardware PLC y Software Master

## Tabla de Adaptación

| IO | Master Tag | PLC Description | Master Description | Certeza | Alternative |
| --- | --- | --- | --- | --- | --- |
| I0.0 | DI_AuxVoltage_On | AUXILIARY CIRC. ON AUSILIARI INSERITI | Electrical Panel Restored | Alto | |
| I0.1 | DI_PB_HornReset | SIREN RESET RESET SIRENA | PB Horn Reset | Alto | |
| I0.2 | DI_AlarmReset | RESET RESET | PB Machine Reset | Alto | |
| I0.3 | DI_PB_Machine_Stop | MACHINE STOP ARRESTO MACCHINA | PB Machine Stop | Alto | |
| I0.4 | DI_PB_Machine_Start | MARCIA MACCHINA MACHINE START | PB Machine Start | Alto | |
| I0.5 | DI_Emergency_Pilz_On | PRESENZA TENSIONE VOLTAGE PRESENCE | Pilz Emergency | Medio | DI_UPSsupply, DI_AuxVoltage_On |
| I0.6 | DI_LSN301L | SONDA LIVELLO MINIMO DEAREATORE 1 | LSN301_L - Deaireator Tank Minimun Level | Alto | |
| I0.7 | DI_Min_Syrup_Level | SONDA LIVELLO MINIMO SCIRO - PPC SYRUP MINIMUM LEVEL PROBE | - Syrup Tank Minimun Level | Alto | |
| I1.0 | DI_LSM302L | SONDA LIVELLO MINIMO SERB.STOCCAGGIO - STORE TANK MIN LEVEL PROBE | LSM302_L - Product Tank Minimun Level | Alto | |
| I1.5 | DI_RMM301_Closed | VALVOLA CHIUSA VM1 - CLOSED VALVE VM1 | RMM301 - Feedback OFF (VM1WATER) | Alto | |
| I1.6 | DI_RMP302_Closed | CLOSED VALVE VM2 - VALVOLA CHIUSA VM2 | RMP302 - Feedback OFF (VM2 SYRUP) | Alto | |
| I1.7 | DI_RMM303_Closed | VALVOLA CHIUSA VM3 - CLOSED VALVE VM3 | RMM303 - Feedback OFF (VM3 CO2) | Alto | |
| I2.0 | DI_PPN301_Ovrld | WATER PUMP OVERLOAD - TERMICO POMPA ACQUA | PPN301 - Deaireator Pump Overload | Alto | |
| I2.1 | PPN301_SoftStart_Averia | AVARIA POMPA ACQUA - WATER PUMP FAULT | PPN301_SoftStart_Averia | Alto | |
| I2.2 | DI_PPP302_Ovrld | SYRUP PUMP OVERLOAD - TERMICO POMPA SCIROPPC | PPP302 - Syrup Pump Overload | Alto | |
| I2.3 | DI_PPP302_Contactor | AVARIA POMPA SCIROPPO - SYRUP PUMP FAULT | PPP302 - Syrup Pump Feedback | Medio | DI_SyrRoom_SyrPump_Running |
| I2.4 | DI_PPM303_Ovrld | OVERPRESS.PUMP OVERLOAD - TERMICO POMPA SOVRAPRES. | PPM303 - Product Pump Overload | Alto | |
| I2.5 | DI_PPM306_Ovrld | OVERPRESS.PUMP FAULT - AVARIA POMPA SOVRAPRES. | PPM306 - Recirculating Pump Overload | Medio | DI_PPM303_Ovrld |
| I3.5 | DI_UPSAlarm | ALLARME UPS - UPS ALARM | UPS Alarm | Alto | |
| I3.6 | DI_UPSsupply | ALIMENTAZIONE DA BATTERIE - BATTERY POWER SUPPLY | UPS supply OK | Alto | |
| I3.7 | DI_UPSBatteryReady | BATTERIA TAMPONE PRONTA - BUFFER BATTERY READY | UPS Battery ready | Alto | |
| I4.3 | DI_CIP_CIP_Enable | ALARM ENABLING - ABILITAZIONE ALLARME | From CIP Enable | Bajo | DI_Flr_CIP/RinseFiller, DI_CIP_TankFilling |
| I4.4 | DI_MaxTempAlarm | ABILITAZIONE ALLARME - ALARM ENABLING | Electrical Cabinet High Temperature | Bajo | DI_CIP_Fault, DI_Flr_CIP_CleaningAlarm |
| I5.0 | DI_SyrRoom_SyrPump_Running | POMPA SALA SCIROPPI INMARCIA - SYRUPS ROOM PUMP RUN | From Syrup Room - Syrup Pump Running | Alto | |
| I7.1 | DI_Air_InletPress_OK | AIR PRESSURE GAUGE - PRESSOSTATO ARIA | Air Pressure Switch | Alto | |
| I7.2 | DI_HVP301_Sensor | SENSORE VALVOLA SCARICO SCIROPPO - SYRUP DISCHARGE VALVE SENSOR | GCP301 - Manual Syrup Valve Closed (NO) | Alto | |
| I7.3 | DI_FSS301 | FLOW GAUGE FLUSSOSTATO | FSS301 - Local Cip Return Flow Switch | Alto | |
| Q0.0 | DO_HMIPowerSupply | RIPRISTINO ALIMENTAZIONE HMI - HMI POWER SUPPLY RESTORE | Cut Power to PC | Alto | |
| Q1.0 | DO_SyrRoom_SyrupRequest | RICHIESTA SCIROPPO - SYRUP REQUEST | SYRUP ROOM - Syrup Request | Alto | |
| Q1.1 | DO_SyRm_WaterRequest | WATER REQUEST - RICHIESTA ACQUA | To syrup Room Water Request | Alto | |
| Q7.0 | DO_Horn | ALLARME ACUSTICO - ACOUSTIC ALARM | DO_Horn | Alto | |
| Q7.1 | DO_PB_Green_Lamp | MACHINE START - MARCIA MACCHINA | PB Machine Start Lamp | Alto | |
| Q7.2 | DO_Red_Lamp | MACHINE ALARM - ALLARME MACCHINA | DO_Red_Lamp | Alto | |
| Q7.3 | DO_Yellow_Lamp | ROTAT. LAMP - ROT ALLARM | DO_Yellow_Lamp | Alto | |
| Q7.4 | DO_PPN301_Run | COMANDO POMPA ACQUA - WATER PUMP CONTROL | DO_PPN301_SoftStartPower | Alto | |
| Q7.5 | DO_PPP302_Run | SYRUP PUMP CONTROL - COMANDO POMPA SCIROPPO | DO_PPP302_Run | Alto | |
| Q7.6 | DO_PPM303_Run | COMANDO POMPA SOVRAPRESSIONE - OVERPRESSURE PUMP CONTROL | DO_PPM303_Run | Alto | |
| A16.0 | DO_AVN348 | SFIATO SATURATORE | MIX - Deaireator Inlet | Medio | DO_AVN390, DO_AVM346 |
| A16.1 | DO_AVN350 | DEAREAZIONE ACQUA | nan | Bajo | DO_AVN325, DO_AVN349, DO_AVM339 |
| A16.2 | DO_AVM382 | RICIRCOLO PRODOTTO | Mix - Product Recirculation though chiller | Alto | |
| A16.3 | DO_AVN373 | SCARICO DEAREATORE | MIX - Deaireator 2 Drain | Alto | |
| A16.4 | DO_AVN374 | SCARICO SATURATORE | MIX - Deaireators Connection Drain | Alto | |
| A16.5 | DO_EV67_SyrupLineDrain | SCARICO SCIROPPO | MIX - N10_O101_ | Medio | DO_EV71_FillerPrPipeDrai, DO_EV19_2 |
| A16.6 | DO_AVN329 | DIVOSFERA SATURATORE | MIX - Deaireator 2 Tank Spray Ball | Alto | |
| A16.7 | DO_RVN301_Level | TROPPOPIENO DEAREATORE | MIX - Deaireator Level Control | Alto | |
| A17.0 | DO_AVP317_1 | TROPPO PIENO SATURATORE | MIX - CIP To Syrup | Bajo | DO_AVM353, DO_AVM369 |
| A17.1 | DO_AVS336 | SFIATO ARIA POMPA PRODOTTO | MIX - CIP Recirculation | Bajo | DO_AVM342, DO_AVM380 |
| A17.2 | DO_AVP363 | SCARICO SERPENTINA | MIX - Syrup Line In H2O | Bajo | DO_AVS338, DO_AVM312_Deair_Reflux |
| A17.3 | DO_EV03_SyrupLvlCtrl | RICICLO SCIROPPO START-UP | MIX - N10_O06_ | Bajo | DO_AVM380, DO_EV04_SyrupFillUp |
| A17.5 | DO_AVM341 | INTERCETTAZIONE INIETT.CO2 | MIX - CO2 Inlet | Alto | |
| A17.6 | DO_AVN377 | DIVOSFERADEAREATORE | nan | Bajo | DO_AVM327, DO_AVM329 |
| A17.7 | DO_AVS331 | DEAREAZ. ACOUA IN RISCACOUO | MIX - CIP Venturi | Bajo | DO_AVS332, DO_EV66_FillerRinseWater |
| A18.0 | DO_AVS331 | ASPIRAZIONE VENTURI | MIX - CIP Venturi | Alto | |
| A18.1 | DO_AVS332 | LAVAGGIOVENTURI | MIX - CIP Wash Venturi | Alto | |
| A18.2 | DO_AVS333 | INGRESSO SANIFICANTE 1 | MIX - CIP Caustic | Alto | |
| A18.3 | DO_AVS334 | INGRESSO SANIFICANTE 2 | MIX - CIP Acid | Alto | |
| A18.4 | DO_AVS335 | INGRESSO SANIFICANTE 3 | MIX - CIP Peracetic Acid | Alto | |
| A18.5 | DO_AVS336 | RICIRCOLO SANIFICANTE | MIX - CIP Recirculation | Alto | |
| A18.6 | DO_AVS337 | SCARICO SANIFICANTE 1 | MIX - CIP Drain | Alto | |
| A18.7 | DO_AVS338 | SCARICO SCAMBIATORE | MIX - CIP Heater | Alto | |
| A19.1 | DO_EV71_FiRinseSprayBall | DIVOSFERA SCIROPPO | MIX - N10_O105_ | Bajo | DO_EV68_FillerRinseWater, DO_AVN329 |
| A19.2 | DO_EV71_FillerPrPipeDrai | SCARICO TUBO SCIROPPO | MIX - N10_O104_ | Alto | |
| A19.3 | DO_EV72_FlrRinseTankDrai | SCARICO SATURATORE | MIX - N10_O106_ | Alto | |
| A20.0 | DO_AVN347 | GALLEGGIANTE DEAREATORE 1 | MIX - Deaireator Tank Start CO2 Injection 1 | Bajo | DO_AVM339, DO_AVM340 |
| A20.1 | DO_AVM340 | INVASAMENTODEAREATORE1 | MIX - Still Water By-Pass Product Intercept | Bajo | DO_AVM339, DO_AVN347 |
| A20.2 | DO_EV03_SyrupLvlCtrl | GALLEGGIANTE SCIROPPO | MIX - N10_O06_ | Bajo | DO_EV04_SyrupFillUp, DO_RVP303 |
| A20.3 | DO_EV04_SyrupFillUp | INVASAMENTO SCIROPPO | MIX - N10_O07_ | Alto | |
| PEW100 | P_AI_LTM302 | LIVELLO SERBATOIO DI STOCCAGGIO - STORAGE TANK LEVEL | LTM302 - Product Tank Level | Alto | |
| PEW102 | P_AI_PTM304 | SENSORE PRESSIONE SERB.DI STOCCAGGIO - STORAGE TANK PRESSURE SENSOR | PTM304 - Product Tank Pressure | Alto | |
| PEW104 | P_AI_PTF203 | CONTR.PORTATA CO2 PER DEAREAZIONE - AIR VACUUM CO2 FLOW CONTROL | PTF203 - Differential Pressure | Alto | |
| PEW106 | P_AI_PTM308 | CONTROLLO PRESSIONE SERBATOIO CO2 - CO2 TANK PRESSURE CONTROL | PTM308 - PCM306 Infeed Pressure | Alto | |
| PEW108 | P_AI_TTM306 | PRODUCT TEMPERATURE SENSOR - SENSORE TEMPERATURA PRODOTTO | TTM306 - Chiller Temperature | Alto | |
| PEW112 | P_AI_TTN321 | TEMP. H2O DEAREATORE - H2O DEAREATOR TEMP. | TTN321 - Deaireator Temperature | Alto | |
| PEW114 | P_AI_RVN304 | NORGREN PV VLAVE ANALOG - OUTPUT USCITA ANALOGICA VALVOLA NORGREN PV | RVN304 - Deaireation Valve | Alto | |
| PAW100 | P_AO_RMM301 | VALVOLA MOTORIZZATA ACQUA - WATER MOTOR VALVE | RMM301 - Water Flow Control | Alto | |
| PAW102 | P_AO_RMP302 | VALVOLA MOTORIZZATA SCIROPPO - SYRUP MOTOR VALVE | RMP302 - Syrup Flow Control | Alto | |
| PAW104 | P_AO_RMM303 | VALVOLA MOTORIZZATA CO2 - CO2 MOTOR VALVE | RMM303 - Gas Flow Control | Alto | |
| PAW108 | P_AO_PCM306 | AIR VACUUM CO2 FLOW CONTROL - CONTR.PORTATA CO2 PER DEAREAZIONE | PCM306 - Gas Injection Pressure Control | Alto | |
| PAW110 | P_AO_RVM319 | PRODUCT TEMPERATURE REGULATION - REGOLAZIONE TEMPERATURA PRODOTTO | RVM319 - Chiller Temperature control | Alto | |
| PAW112 | P_AO_RVS318 | SANIT. TEMP. CONTROL C- ONTROLLO TEMPERATURA SANIFICANTE | RVS318 - Local Cip Heating Valve | Alto | |
| PAW114 | P_AO_RVN304 | USCITA ANALOGICA VALVOLA NORGREN - SP NORGREN SP VALVE ANALOG OUTPUT | RVN304 - Deaireation Valve | Alto | |
| PAW122 | P_AO_RVM301 | CONTROLLO PRESSIONE SERBATOIO CO2 - CO2 TANK PRESSURE CONTROL | RVM301 - Product Tank Pressure Valve | Alto | |
| EW 3080..3084 | P_FTN301_Flow | Volume Flow (PROFIBUS) | MIX - Profibus Variables | Alto | |
| EW 3100..3104 | P_FTN301_Totalizer | Totalizer Value / Control (PROFIBUS) | MIX - Profibus Variables | Alto | |
| AW 3100..3100 | P_FTN301_Tot_Ctrl | Totalizer Value / Control (PROFIBUS) | MIX - | Alto | |
| EW 2030..2034 | P_FTP302_Flow | Mass Flow (PROFIBUS) | MIX - Profibus Variables | Alto | |
| EW 2045..2049 | P_FTP302_Density | Density (PROFIBUS) | MIX - Profibus Variables | Alto | |
| EW 2050..2054 | P_FTP302_Brix | Concentration (PROFIBUS) | MIX - Profibus Variables | Alto | |
| EW 2055..2059 | P_FTP302_Temp | Temperature (PROFIBUS) | MIX - Profibus Variables | Alto | |
| EW 2070..2074 | P_FTP302_Totalizer | Totalizer Value / Control (PROFIBUS) | MIX - Profibus Variables | Alto | |
| AW 2070..2070 | P_FTP302_Tot_Ctrl | Totalizer Value / Control (PROFIBUS) | MIX - | Alto | |
| EW 3200..3204 | P_FTM303_Flow | Mass Flow (PROFIBUS) | MIX - Profibus Variables | Alto | |
| EW 3215..3219 | P_FTM303_Density | Density (PROFIBUS) | MIX - Profibus Variables | Alto | |
| EW 3225..3229 | P_FTM303_Temperature | Temperature (PROFIBUS) | MIX - Profibus Variables | Alto | |
| EW 3240..3244 | P_FTM303_Totalizer | Totalizer Value / Control (PROFIBUS) | MIX - Profibus Variables | Alto | |
| AW 3240..3240 | P_FTM303_Tot_Ctrl | Totalizer Value / Control (PROFIBUS) | MIX - | Alto | |
| EW 15000..15031 | P_PDS_CO2 | IN128 mPDS5>PLC_4_1 (PROFIBUS) | nan | Medio | P_gMaselli_ProductCO2, P_AI_ProductCO2 |
| EW 15032..15063 | P_PDS_Product_Brix | IN128 mPDS5>PLC_4_2 (PROFIBUS) | nan | Medio | P_gMaselli_ProductBrix, P_FTP302_Brix |
| EW 15064..15095 | P_PDS_Temperature | IN128 mPDS5>PLC_4_3 (PROFIBUS) | nan | Medio | P_gMaselli_ProductTemp, P_FTM303_Temperature |
| EW 15096..15127 | P_PDS_Density | IN128 mPDS5>PLC_4_4 (PROFIBUS) | nan | Medio | P_gMaselli_ProductNumber, P_FTM303_Density |
| AW 15000..15031 | P_PDS_Recipe_Number | OUT128 PLC>mPDS5_4_1 (PROFIBUS) | PDS Recipe Number | Medio | P_gMaselli_RecipeSetNum |
| AW 15032..15063 | P_PDS_Freeze_To_PDS | OUT128 PLC>mPDS5_4_2 (PROFIBUS) | nan | Medio | MaselliHold, P_gMaselli_RecipeSetNumStr |
| AW 15064..15095 | P_PDS_Stop_to_PDS | OUT128 PLC>mPDS5_4_3 (PROFIBUS) | nan | Medio | MaselliSpare |
| AW 15096..15127 | DO_FillerNextRecipe | OUT128 PLC>mPDS5_4_4 (PROFIBUS) | MIX - | Bajo | P_gMaselli_RecipeSetNum |

## Excepciones y Problemas

| IO | Problema Detectado |
| --- | --- |
| I4.3 | Descripción ambigua "ALARM ENABLING" podría corresponder a varias entradas |
| I4.4 | Descripción ambigua "ABILITAZIONE ALLARME" podría corresponder a varias entradas |
| A16.1 | No se encuentra una correspondencia clara para "DEAREAZIONE ACQUA" |
| A17.0 | No hay correspondencia clara para "TROPPO PIENO SATURATORE" |
| A17.1 | No hay correspondencia clara para "SFIATO ARIA POMPA PRODOTTO" |
| A17.6 | No hay correspondencia clara para "DIVOSFERADEAREATORE" |
| A19.1 | Descripción "DIVOSFERA SCIROPPO" sin correspondencia exacta |
| A20.0 | "GALLEGGIANTE DEAREATORE 1" sin correspondencia exacta |
| A20.1 | "INVASAMENTODEAREATORE1" sin correspondencia clara |
| A20.2 | "GALLEGGIANTE SCIROPPO" sin correspondencia exacta |
